Skip to main content
`Ctrl`+`K`

# DMPlexCheckPointSF

Check that several necessary conditions are met for the point `PetscSF` of this plex.

## Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexCheckPointSF(DM dm, PetscSF pointSF, PetscBool allowExtraRoots)

Collective

## Input Parameters

- dm - The `DMPLEX` object

- pointSF - The `PetscSF`, or `NULL` for `PointSF` attached to `DM`

- allowExtraRoots - Flag to allow extra points not present in the `DM`

## Notes

This is mainly intended for debugging/testing purposes.

For the complete list of DMPlexCheck* functions, see `DMSetFromOptions()`.

Extra roots can come from periodic cuts, where additional points appear on the boundary

## See Also

DMPlex: Unstructured Grids, `DM`, `DMPLEX`, `DMGetPointSF()`, `DMSetFromOptions()`

## Level

developer

## Location

src/dm/impls/plex/plex.c

Index of all DMPlex routines
Table of Contents for all manual pages
Index of all manual pages